//
//  ConversationsNodeRouter.swift
//  VKExt
//
//  Created programmist_NA on 24.07.2020.
//  Copyright © 2020 ___ORGANIZATIONNAME___. All rights reserved.
//
//  Template generated by Juanpe Catalán @JuanpeCMiOS
//

import UIKit

class ConversationsNodeRouter: ConversationsNodeWireframeProtocol {
    
    weak var viewController: UIViewController?
    weak var baseViewController: UIViewController?
    
    class func createModule(_ viewController: ConversationsNodeViewController) {
        // Change to get view from storyboard if not using progammatic UI
        let interactor = ConversationsNodeInteractor()
        let router = ConversationsNodeRouter()
        let presenter = ConversationsNodePresenter(interface: viewController, interactor: interactor, router: router)
        
        viewController.presenter = presenter
        interactor.presenter = presenter
        router.viewController = viewController
        presenter.interactor = interactor
        router.baseViewController = viewController
    }
    
    func openConversation(from conversation: Conversation) {
        let chatViewController = DialogViewController(conversation: conversation)
        chatViewController.hidesBottomBarWhenPushed = true
        self.baseViewController?.navigationController?.pushViewController(chatViewController, animated: true)
    }
    
    func openProfile(userId: Int) {
        self.baseViewController?.navigationController?.pushViewController(ProfileViewController(userId: userId), animated: true)
    }
}
